TaskInputFilePropertyBuilder (Gradle API 5.5-20190702033235+0000)
Date: 2019-07-01

Package org.gradle.api.tasks

## Interface TaskInputFilePropertyBuilder

- All Superinterfaces:
    `TaskFilePropertyBuilder`, `TaskPropertyBuilder`

      public interface TaskInputFilePropertyBuilder
      extends TaskFilePropertyBuilder

  Describes an input property of a task that contains zero or more files.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TaskInputFilePropertyBuilder` | `optional()` | Marks a task property as optional.
    `TaskInputFilePropertyBuilder` | `optional​(boolean optional)` | Sets whether the task property is optional.
    `TaskInputFilePropertyBuilder` | `skipWhenEmpty()` | Skip executing the task if the property contains no files.
    `TaskInputFilePropertyBuilder` | `skipWhenEmpty​(boolean skipWhenEmpty)` | Sets whether executing the task should be skipped if the property contains no files.
    `TaskInputFilePropertyBuilder` | `withNormalizer​(Class<? extends FileNormalizer> normalizer)` | Sets the normalizer to use for this property.
    `TaskInputFilePropertyBuilder` | `withPathSensitivity​(PathSensitivity sensitivity)` | Sets which part of the path of files should be considered during up-to-date checks.
    `TaskInputFilePropertyBuilder` | `withPropertyName​(String propertyName)` | Sets the name for this property.

- - ### Method Detail

    - #### withPropertyName

          TaskInputFilePropertyBuilder withPropertyName​(String propertyName)

      Sets the name for this property. The name must be a non-empty string.

      If the method is not called, or if it is called with `null`, a name will be assigned to the property automatically.

      Specified by:
        `withPropertyName` in interface `TaskFilePropertyBuilder`

    - #### skipWhenEmpty

          TaskInputFilePropertyBuilder skipWhenEmpty()

      Skip executing the task if the property contains no files. If there are multiple properties with {code skipWhenEmpty = true}, then they all need to be empty for the task to be skipped.

    - #### skipWhenEmpty

          TaskInputFilePropertyBuilder skipWhenEmpty​(boolean skipWhenEmpty)

      Sets whether executing the task should be skipped if the property contains no files. If there are multiple properties with {code skipWhenEmpty = true}, then they all need to be empty for the task to be skipped.

    - #### optional

          TaskInputFilePropertyBuilder optional()

      Marks a task property as optional. This means that a value does not have to be specified for the property, but any value specified must meet the validation constraints for the property.

    - #### optional

          TaskInputFilePropertyBuilder optional​(boolean optional)

      Sets whether the task property is optional. If the task property is optional, it means that a value does not have to be specified for the property, but any value specified must meet the validation constraints for the property.

    - #### withPathSensitivity

          TaskInputFilePropertyBuilder withPathSensitivity​(PathSensitivity sensitivity)

      Sets which part of the path of files should be considered during up-to-date checks.
      Since:
        3.1

    - #### withNormalizer

          TaskInputFilePropertyBuilder withNormalizer​(Class<? extends FileNormalizer> normalizer)

      Sets the normalizer to use for this property.
      Since:
        4.3